#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int N, M;
    cin >> N >> M;
    unsigned int mat[N][M];

    for(int i = 0; i < N; i++){
        for(int j = 0; j < M; j++){
            cin >> mat[i][j];
        }
    }

    for(int i = 0; i < 64; i++){
        unsigned long long int d = pow(2,i);
        int ctr = 0;
        for(int j = 0; j < M; j++){
            if((mat[0][j] ^ d) < mat[0][j]){
                ctr++;
            }
            else{
                ctr--;
            }
        }
        if(ctr > 0){
            for(int j = 0; j < M; j++){
                mat[0][j] = mat[0][j] ^ d;
            }
        }
    }

    unsigned long long int sum = 0;
        for(int j = 0; j < M; j++){
            sum += mat[0][j];
        }

    cout << sum;

    return 0;
}